Bug 179313 - gphoto2 does not detect Canon A610 camera
gphoto2 does not detect Canon A610 camera
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 01:45 EST by Yusuf Ma
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-02 17:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debug info returned by "env LANG=C gphoto2 --debug --summary" (77.48 KB, text/plain)
2006-01-30 01:48 EST, Yusuf Ma
no flags Details
debug info created by "env LANG=C gphoto2 --debug --summary" as root (32.41 KB, text/plain)
2006-02-02 16:25 EST, Yusuf Ma
no flags Details

  None (edit)
Description Yusuf Ma 2006-01-30 01:45:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.8) Gecko/20060126 Fedora/1.5-5 Firefox/1.5

Description of problem:
"gphoto2 --auto-detect" returns nothing after the Caon A610 camera is connected. It used to work in FC4. I ran "env LANG=C gphoto2 --debug --summary" as suggested. The returned debug info is included in the attachment. It seems that the key 'model' was successfully set to 'Canon PowerShot A610 (PTP mode)', but gphoto2 still said "Could not find USB device" afterwards.

Version-Release number of selected component (if applicable):
gphoto2-2.1.99-4

How reproducible:
Always

Steps to Reproduce:
1.Connect the camera to USB port
2.run "gphoto2 --auto-detect"
  

Actual Results:  No camera is detected

Expected Results:  The camera is correctly detected

Additional info:
Comment 1 Yusuf Ma 2006-01-30 01:48:19 EST
Created attachment 123857 [details]
debug info returned by "env LANG=C gphoto2 --debug --summary"
Comment 2 Radek Vokal 2006-01-31 03:34:55 EST
Can you try running the same command as root, I was trying to fix the HAL
permissions recently and they still might be wrong.. 
Comment 3 Radek Vokal 2006-01-31 04:25:22 EST
Also try gphoto2-2.1.99-5 and new udev and libusb.

In newer udev versions we've moved away from /proc/bus/usb/XXX/YYY to
/dev/bus/usb/XXX/YYY which needs a newer libusb that understands it.
Comment 4 Yusuf Ma 2006-02-02 16:22:46 EST
I updated gphoto2 and tried the same command as root. "gphoto2 --auto-detect" as
ordinary users still returns nothing. "gphoto2 --auto-detect" as root can detect
the camera correctly. However, I still got errors when running "env LANG=C
gphoto2 --debug --summary" as root. The versions of udev and libusb are
udev-078-8 and libusb-0.1.11-2 respectively. I attached the debug info created
by "env LANG=C gphoto2 --debug --summary" as root.
Comment 5 Yusuf Ma 2006-02-02 16:25:39 EST
Created attachment 124071 [details]
debug info created by "env LANG=C gphoto2 --debug --summary" as root
Comment 6 Radek Vokal 2006-03-31 05:37:19 EST
Can you try forcing PTP mode? 

gphoto2 --camera "Canon PowerShot A610 (PTP mode)" --port usb: -L

Comment 7 Yusuf Ma 2006-03-31 20:11:30 EST
Current gphoto2 and kernel version:

gphoto2-2.1.99-8
kernel-2.6.16-1.2080_FC5


*** CASE ONE ***

run:

gphoto2 --camera "Canon PowerShot A610 (PTP mode)" --port usb: -L



result:

The files are successfully listed.



*** CASE TWO ***

run:
 
gphoto2 -L



the following error message is returned:

-----
Detected a 'Canon:PowerShot A610 (normal mode)'.

*** Error ***
Step #4 failed! (returned 0, expected 64) Camera not operational
*** Error (-102: 'Corrupted data') ***

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <gphoto-devel@lists.sourceforge.net>, please run
gphoto2 as follows:

    env LANG=C gphoto2 --debug -L

Please make sure there is sufficient quoting around the arguments.
-----



*** CASE THREE ***

run

gphoto2 --camera "Canon PowerShot A610 (PTP mode)" --port usb: -L

right after the "gphoto2 -L" command (which will fail)



the following error message is returned:

-----
gp_port_write: Resource temporarily unavailable

*** Error ***
PTP I/O error

*** Error ***
An error occurred in the io-library ('Unspecified error'): Could not query
kernel driver of device.
*** Error (-1: 'Unspecified error') ***

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <gphoto-devel@lists.sourceforge.net>, please run
gphoto2 as follows:

    env LANG=C gphoto2 --debug --camera "Canon PowerShot A610 (PTP mode)" --port
"usb:" -L

Please make sure there is sufficient quoting around the arguments.
-----
Comment 8 Radek Vokal 2006-04-02 17:07:25 EDT
Once a Canon camera has been accessed in "normal" mode it needs to be detached
/powered off/on to be accessed in "PTP" mode again. The autodetection stops
after one try. From the list of supported cameras it seems that your camera is
supposed to work in both, normal and PTP mode. I'm reporting this issue upstream. 

Note You need to log in before you can comment on or make changes to this bug.